import { useFamily } from "../../../widgets/BaseFamilyRoute";
import { FamilyPageTitle } from "../../../widgets/FamilyPageTitle";

export function GenealogyHomeRoute(): React.ReactElement {
  const family = useFamily();
  return (
    <>
      <FamilyPageTitle title="Généalogie de votre famille" />
      <div style={{ margin: "20px" }}>
        <p>
          Depuis cette section de l'application, vous pouvez afficher et
          compléter l'abre généalogique de votre famille.
        </p>
        <p>&nbsp;</p>
        <p>Nombre de fiches de membres: {family.members.size}</p>
        <p>Nombre de fiches de couples: {family.couples.size}</p>
      </div>
    </>
  );
}
